register("chat", function() {
	/* The last time the delivery man was automatically opened is stored in a txt file so that the variable isn't reset every time minecraft or chattriggers is reloaded */
	var lastTimeDeliveryManAutomaticallyOpened = FileLib.read("./config/ChatTriggers/modules/AutoDeliveryOnLogOn/lastTimeDeliveryManAutomaticallyOpened.txt");
	if (Server.getIP().endsWith("hypixel.net")) { /* Check the server ip to confirm the user is connected to the Hypixel Network */
	
		/* The function must wait a little before checking the user's first and last hotbar slots because the inventory items aren't loaded instantly 
		upon WorldLoad; looking for the Compass and the Nether Star in the hotbar before they've had time to load will throw a java.lang.NullPointerException */
		new Thread(function () {
			
			Thread.sleep(500); /* This causes the function to sleep for 500ms (the 500ms are very arbitrary, you can change the delay if you want) */
			
			if (Player.getInventory().getStackInSlot(0).toString() === "1xitem.compass@0" && Player.getInventory().getStackInSlot(8).toString() === "1xitem.netherStar@0") {
				
				/* 37500000 milliseconds === 10 hours and 25 mins which refers more or less to the time you need to wait before you can claim another reward at the delivery man */
				/* lastTimeDeliveryManAutomaticallyOpened is a string so we must turn it into a number in order to do arithmetic with it */
				if (Date.now() >= Number(lastTimeDeliveryManAutomaticallyOpened) + 37500000) { 
					ChatLib.command("delivery"); /* "/delivery" is the command that opens the Delivery Man's menu */
					FileLib.write("./config/ChatTriggers/modules/AutoDeliveryOnLogOn/lastTimeDeliveryManAutomaticallyOpened.txt", Date.now());
				}
			}
		}).start()
	}
}).setChatCriteria("&r&f &r&f &r&1 &r&0 &r&2 &r&f &r&f &r&2 &r&0 &r&4 &r&3 &r&9 &r&2 &r&0 &r&0 &r&3 &r&9 &r&2 &r&0 &r&0 &r&3 &r&9 &r&2 &r&0 &r&0 &r&3 &r&6 &r&3 &r&6 &r&3 &r&6 &r&3 &r&6 &r&3 &r&6 &r&3 &r&6 &r")
/* This long senseless string appears in the console every time you join a Hypixel lobby */.setParameter("contains");